libidn 1.43

Functions
version.c File Reference
`#include "stringprep.h"`
`#include <string.h>`

Go to the source code of this file.

## Functions
const char * | stringprep_check_version (const char *req_version)

## Function Documentation

## ◆ stringprep_check_version()

const char * stringprep_check_version | ( | const char * | req_version | ) |

stringprep_check_version:

Parameters

  req_version | Required version number, or NULL.

Check that the version of the library is at minimum the requested one and return the version string; return NULL if the condition is not satisfied. If a NULL is passed to this function, no check is done, but the version string is simply returned.

See STRINGPREP_VERSION for a suitable @req_version string.

Return value: Version string of run-time library, or NULL if the run-time library does not meet the required version number.

Definition at line 53 of file version.c.